Waiting for engine...
Skip to main content

Boomi API Control Plane REST API (MCP Registry) - External Registries

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

External Registries

Manage external MCP registry configurations. Requires JWT issued by Platform in the Authorization header.

Get a single external registry

Get the external registry matching the given UUID.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

Identifier of the external registry.

Responses

Response Schema: application/json
name
required
string [ 0 .. 255 ] characters

Name of the external registry

url
required
string

URL of the external registry

uuid
string <uuid>

Unique identifier for the registry

isGlobal
boolean
description
string [ 0 .. 2000 ] characters

Description of the external registry

createdAt
string <date-time>

Timestamp when the registry was created

updatedAt
string <date-time>

Timestamp when the registry was last updated

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "My Registry",
  • "isGlobal": true,
  • "description": "A collection of MCP servers",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

Update an external registry

Update an external registry's name, description, and URL. The path UUID takes precedence over any UUID included in the request body. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

Identifier of the external registry.

Request Body schema: application/json
required
name
required
string [ 0 .. 255 ] characters

Name of the external registry

url
required
string

URL of the external registry

isGlobal
boolean
description
string [ 0 .. 2000 ] characters

Description of the external registry

Responses

Response Schema: application/json
name
required
string [ 0 .. 255 ] characters

Name of the external registry

url
required
string

URL of the external registry

uuid
string <uuid>

Unique identifier for the registry

isGlobal
boolean
description
string [ 0 .. 2000 ] characters

Description of the external registry

createdAt
string <date-time>

Timestamp when the registry was created

updatedAt
string <date-time>

Timestamp when the registry was last updated

Request samples

Content type
application/json
{
  • "name": "My Registry",
  • "isGlobal": true,
  • "description": "A collection of MCP servers"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "My Registry",
  • "isGlobal": true,
  • "description": "A collection of MCP servers",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}

Delete an external registry

Delete the external registry with the given UUID. Returns 204 if the external registry was deleted successfully or if it did not exist. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

Identifier of the external registry.

Responses

Get all external registries for an account

Get all external registries belonging to the account specified in the request.

Authorizations:
bearerAuth
query Parameters
cursor
string

Opaque cursor token returned as nextCursor in the previous response. Omit on the first request. Treat this value as opaque; its internal format may change.

limit
integer [ 1 .. 100 ]
Default: 30

Maximum number of items to return per page. Must be between 1 and 100.

search
string

Case-insensitive substring match against the server name.

Responses

Response Schema: application/json
Array of objects (ExternalRegistryDTO)
object (PaginationMetadata)

Response samples

Content type
application/json
{
  • "externalRegistries": [
    • {
      }
    ],
  • "metadata": {
    • "offsetStart": 0,
    • "nextCursor": "string",
    • "page": 0,
    • "totalPages": 0,
    • "totalElements": 0,
    • "limit": 0,
    • "count": 0
    }
}

Create a new external registry

Create an external registry and return a DTO of the created external registry. Restricted to MCP Registry admin users.

Authorizations:
bearerAuth
Request Body schema: application/json
required
name
required
string [ 0 .. 255 ] characters

Name of the external registry

url
required
string

URL of the external registry

isGlobal
boolean
description
string [ 0 .. 2000 ] characters

Description of the external registry

Responses

Request samples

Content type
application/json
{
  • "name": "My Registry",
  • "isGlobal": true,
  • "description": "A collection of MCP servers"
}

Response samples

Content type
application/json
{
  • "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
  • "name": "My Registry",
  • "isGlobal": true,
  • "description": "A collection of MCP servers",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z"
}